Index: trunk/SophyaExt/FitsIOServer/Makefile
===================================================================
--- trunk/SophyaExt/FitsIOServer/Makefile	(revision 823)
+++ trunk/SophyaExt/FitsIOServer/Makefile	(revision 824)
@@ -8,37 +8,5 @@
 	$(ARCXX) $(ARCXXFLAGS) $@ $?
 ifeq ($(CXX),cxx)
-	$(CXX) $? $(CPPFLAGS) $(CXXFLAGS) -L$(LIB) -lFitsIOServer -lSkyT -lSamba -lNTools -lSysTools -o $(OBJ)xx.x -Hf
+	$(CXX) $? $(CPPFLAGS) $(CXXFLAGS) -o $(OBJ)xx.x -Hf
 endif 
  
-$(OBJ)fitsioserver.o: fitsioserver.cc \
- $(INC)machdefs.h \
- $(INC)pclassids.h fitsioserver.h \
- $(INC)tvector.h \
- $(INC)tmatrix.h \
- $(INC)ppersist.h \
- $(INC)pexceptions.h \
- $(INC)md5.h \
- $(INC)anydataobj.h \
- $(INC)ndatablock.h \
- $(INC)sphericalmap.h \
- $(INC)nbmath.h \
- $(INC)pixelmap.h \
- $(INC)dvlist.h \
- $(INC)objfio.h \
- $(INC)spherepos.h \
- $(INC)unitvector.h \
- $(INC)vector3d.h \
- $(INC)longlat.h \
- $(INC)utilgeom.h \
- $(INC)spheregorski.h \
- $(INC)localmap.h \
- $(INC)ntuple.h \
- $(INC)ntupintf.h \
- $(INC)outilsinit.h \
- $(INC)peidainit.h \
- $(INC)cimage.h \
- $(INC)rzimage.h \
- $(INC)rzvect.h \
- $(INC)perrors.h \
- $(INC)datatypes.h \
- $(INC)strutil.h
Index: trunk/SophyaExt/LinAlg/Makefile
===================================================================
--- trunk/SophyaExt/LinAlg/Makefile	(revision 824)
+++ trunk/SophyaExt/LinAlg/Makefile	(revision 824)
@@ -0,0 +1,25 @@
+include ../Mgr/Makefile.h
+ 
+all: $(LIB)libLinAlg.a
+clean:
+	rm -f $(OBJ)intflapack.o
+	rm -f $(LIB)libLinAlg.a
+$(LIB)libLinAlg.a : $(OBJ)intflapack.o
+	$(ARCXX) $(ARCXXFLAGS) $@ $?
+ifeq ($(CXX),cxx)
+	$(CXX) $? $(CPPFLAGS) $(CXXFLAGS) -o $(OBJ)xx.x -Hf
+endif 
+ 
+$(OBJ)intflapack.o: intflapack.cc intflapack.h \
+ $(INC)machdefs.h \
+ $(INC)pclassids.h \
+ $(INC)tarray.h \
+ $(INC)basarr.h \
+ $(INC)anydataobj.h \
+ $(INC)dvlist.h \
+ $(INC)objfio.h \
+ $(INC)ppersist.h \
+ $(INC)pexceptions.h \
+ $(INC)gnumd5.h \
+ $(INC)ndatablock.h \
+ $(INC)utilarr.h
Index: trunk/SophyaLib/HiStats/Makefile
===================================================================
--- trunk/SophyaLib/HiStats/Makefile	(revision 823)
+++ trunk/SophyaLib/HiStats/Makefile	(revision 824)
@@ -8,96 +8,111 @@
 	$(ARCXX) $(ARCXXFLAGS) $@ $?
 ifeq ($(CXX),cxx)
-	$(CXX) $? $(CPPFLAGS) $(CXXFLAGS) -L$(LIB) -lHiStats -L$(EXTLIBPATH) -o $(OBJ)xx.x -Hf
+	$(CXX) $? $(CPPFLAGS) $(CXXFLAGS) -o $(OBJ)xx.x -Hf
 endif 
  
-$(OBJ)hisprof.o: hisprof.cc $(INC)/machdefs.h \
- $(INC)/pclassids.h hisprof.h \
- $(INC)/peida.h \
- $(INC)/utils.h \
- $(INC)/perrors.h \
- $(INC)/pexceptions.h \
- $(INC)/fmath.h \
- $(INC)/tvector.h \
- $(INC)/tmatrix.h \
- $(INC)/ppersist.h \
- $(INC)/gnumd5.h \
- $(INC)/anydataobj.h \
- $(INC)/ndatablock.h histos.h \
- $(INC)/objfio.h
-$(OBJ)histinit.o: histinit.cc $(INC)/machdefs.h \
- $(INC)/pclassids.h histinit.h \
- $(INC)/ntoolsinit.h \
- $(INC)/tarrinit.h \
- $(INC)/sophyainit.h histos.h \
- $(INC)/objfio.h \
- $(INC)/anydataobj.h \
- $(INC)/ppersist.h \
- $(INC)/pexceptions.h \
- $(INC)/gnumd5.h \
- $(INC)/peida.h \
- $(INC)/utils.h \
- $(INC)/perrors.h \
- $(INC)/fmath.h \
- $(INC)/tvector.h \
- $(INC)/tmatrix.h \
- $(INC)/ndatablock.h histos2.h hisprof.h \
- ntuple.h $(INC)/ntupintf.h \
- $(INC)/dvlist.h xntuple.h
-$(OBJ)histos.o: histos.cc $(INC)/machdefs.h \
- $(INC)/pclassids.h histos.h \
- $(INC)/objfio.h \
- $(INC)/anydataobj.h \
- $(INC)/ppersist.h \
- $(INC)/pexceptions.h \
- $(INC)/gnumd5.h \
- $(INC)/peida.h \
- $(INC)/utils.h \
- $(INC)/perrors.h \
- $(INC)/fmath.h \
- $(INC)/tvector.h \
- $(INC)/tmatrix.h \
- $(INC)/ndatablock.h \
- $(INC)/poly.h \
- $(INC)/strutil.h \
- $(INC)/generalfit.h \
- $(INC)/generaldata.h \
- $(INC)/ntupintf.h
-$(OBJ)histos2.o: histos2.cc $(INC)/machdefs.h \
- $(INC)/pclassids.h histos2.h \
- $(INC)/peida.h \
- $(INC)/utils.h \
- $(INC)/perrors.h \
- $(INC)/pexceptions.h \
- $(INC)/fmath.h histos.h \
- $(INC)/objfio.h \
- $(INC)/anydataobj.h \
- $(INC)/ppersist.h \
- $(INC)/gnumd5.h \
- $(INC)/tvector.h \
- $(INC)/tmatrix.h \
- $(INC)/ndatablock.h \
- $(INC)/generalfit.h \
- $(INC)/generaldata.h \
- $(INC)/ntupintf.h \
- $(INC)/poly.h
-$(OBJ)ntuple.o: ntuple.cc $(INC)/strutil.h \
- $(INC)/perrors.h \
- $(INC)/pexceptions.h \
- $(INC)/machdefs.h \
- $(INC)/pclassids.h ntuple.h \
- $(INC)/objfio.h \
- $(INC)/anydataobj.h \
- $(INC)/ppersist.h \
- $(INC)/gnumd5.h \
- $(INC)/ntupintf.h \
- $(INC)/dvlist.h
-$(OBJ)xntuple.o: xntuple.cc $(INC)/ppersist.h \
- $(INC)/machdefs.h \
- $(INC)/pclassids.h \
- $(INC)/pexceptions.h \
- $(INC)/gnumd5.h \
- $(INC)/perrors.h xntuple.h \
- $(INC)/objfio.h \
- $(INC)/anydataobj.h \
- $(INC)/ntupintf.h \
- $(INC)/dvlist.h
+$(OBJ)hisprof.o: hisprof.cc $(INC)machdefs.h \
+ $(INC)pclassids.h hisprof.h \
+ $(INC)peida.h \
+ $(INC)utils.h \
+ $(INC)perrors.h \
+ $(INC)pexceptions.h \
+ $(INC)fmath.h \
+ $(INC)tvector.h \
+ $(INC)tmatrix.h \
+ $(INC)tarray.h \
+ $(INC)basarr.h \
+ $(INC)anydataobj.h \
+ $(INC)dvlist.h \
+ $(INC)objfio.h \
+ $(INC)ppersist.h \
+ $(INC)gnumd5.h \
+ $(INC)ndatablock.h \
+ $(INC)utilarr.h histos.h
+$(OBJ)histinit.o: histinit.cc $(INC)machdefs.h \
+ $(INC)pclassids.h histinit.h \
+ $(INC)ntoolsinit.h \
+ $(INC)tarrinit.h \
+ $(INC)sophyainit.h histos.h \
+ $(INC)objfio.h \
+ $(INC)anydataobj.h \
+ $(INC)ppersist.h \
+ $(INC)pexceptions.h \
+ $(INC)gnumd5.h \
+ $(INC)peida.h \
+ $(INC)utils.h \
+ $(INC)perrors.h \
+ $(INC)fmath.h \
+ $(INC)tvector.h \
+ $(INC)tmatrix.h \
+ $(INC)tarray.h \
+ $(INC)basarr.h \
+ $(INC)dvlist.h \
+ $(INC)ndatablock.h \
+ $(INC)utilarr.h histos2.h hisprof.h ntuple.h \
+ $(INC)ntupintf.h xntuple.h
+$(OBJ)histos.o: histos.cc $(INC)machdefs.h \
+ $(INC)pclassids.h histos.h \
+ $(INC)objfio.h \
+ $(INC)anydataobj.h \
+ $(INC)ppersist.h \
+ $(INC)pexceptions.h \
+ $(INC)gnumd5.h \
+ $(INC)peida.h \
+ $(INC)utils.h \
+ $(INC)perrors.h \
+ $(INC)fmath.h \
+ $(INC)tvector.h \
+ $(INC)tmatrix.h \
+ $(INC)tarray.h \
+ $(INC)basarr.h \
+ $(INC)dvlist.h \
+ $(INC)ndatablock.h \
+ $(INC)utilarr.h \
+ $(INC)poly.h \
+ $(INC)strutil.h \
+ $(INC)generalfit.h \
+ $(INC)generaldata.h \
+ $(INC)ntupintf.h
+$(OBJ)histos2.o: histos2.cc $(INC)machdefs.h \
+ $(INC)pclassids.h histos2.h \
+ $(INC)peida.h \
+ $(INC)utils.h \
+ $(INC)perrors.h \
+ $(INC)pexceptions.h \
+ $(INC)fmath.h histos.h \
+ $(INC)objfio.h \
+ $(INC)anydataobj.h \
+ $(INC)ppersist.h \
+ $(INC)gnumd5.h \
+ $(INC)tvector.h \
+ $(INC)tmatrix.h \
+ $(INC)tarray.h \
+ $(INC)basarr.h \
+ $(INC)dvlist.h \
+ $(INC)ndatablock.h \
+ $(INC)utilarr.h \
+ $(INC)generalfit.h \
+ $(INC)generaldata.h \
+ $(INC)ntupintf.h \
+ $(INC)poly.h
+$(OBJ)ntuple.o: ntuple.cc $(INC)strutil.h \
+ $(INC)perrors.h \
+ $(INC)pexceptions.h \
+ $(INC)machdefs.h \
+ $(INC)pclassids.h ntuple.h \
+ $(INC)objfio.h \
+ $(INC)anydataobj.h \
+ $(INC)ppersist.h \
+ $(INC)gnumd5.h \
+ $(INC)ntupintf.h \
+ $(INC)dvlist.h
+$(OBJ)xntuple.o: xntuple.cc $(INC)ppersist.h \
+ $(INC)machdefs.h \
+ $(INC)pclassids.h \
+ $(INC)pexceptions.h \
+ $(INC)gnumd5.h \
+ $(INC)perrors.h xntuple.h \
+ $(INC)objfio.h \
+ $(INC)anydataobj.h \
+ $(INC)ntupintf.h \
+ $(INC)dvlist.h
Index: trunk/SophyaLib/NTools/Makefile
===================================================================
--- trunk/SophyaLib/NTools/Makefile	(revision 823)
+++ trunk/SophyaLib/NTools/Makefile	(revision 824)
@@ -3,10 +3,10 @@
 all: $(LIB)libNTools.a
 clean:
-	rm -f $(OBJ)cimage.o $(OBJ)cspline.o $(OBJ)cvector.o $(OBJ)datacards.o $(OBJ)datatypes.o $(OBJ)dates.o $(OBJ)difeq.o $(OBJ)dvlist.o $(OBJ)dynccd.o $(OBJ)fct1dfit.o $(OBJ)fct2dfit.o $(OBJ)fftserver.o $(OBJ)generaldata.o $(OBJ)generalfit.o $(OBJ)hisprof.o $(OBJ)histos.o $(OBJ)histos2.o $(OBJ)imageop.o $(OBJ)integ.o $(OBJ)linfit.o $(OBJ)matrix.o $(OBJ)median.o $(OBJ)ntupintf.o $(OBJ)ntuple.o $(OBJ)outilsinit.o $(OBJ)perandom.o $(OBJ)poly.o $(OBJ)rk4cdifeq.o $(OBJ)rzimage.o $(OBJ)simplesort.o $(OBJ)tabmath.o $(OBJ)tmatrix.o $(OBJ)tvector.o $(OBJ)utils.o $(OBJ)datime.o $(OBJ)fftpackc.o $(OBJ)matxop.o $(OBJ)nbmath.o $(OBJ)nbrandom.o $(OBJ)nbtri.o $(OBJ)strutil.o
+	rm -f $(OBJ)cimage.o $(OBJ)cspline.o $(OBJ)datatypes.o $(OBJ)dates.o $(OBJ)difeq.o $(OBJ)dynccd.o $(OBJ)fct1dfit.o $(OBJ)fct2dfit.o $(OBJ)fftmserver.o $(OBJ)fftpserver.o $(OBJ)fftserver.o $(OBJ)fftservintf.o $(OBJ)generaldata.o $(OBJ)generalfit.o $(OBJ)imageop.o $(OBJ)integ.o $(OBJ)median.o $(OBJ)ntoolsinit.o $(OBJ)ntupintf.o $(OBJ)objfitter.o $(OBJ)perandom.o $(OBJ)poly.o $(OBJ)rk4cdifeq.o $(OBJ)rzimage.o $(OBJ)simplesort.o $(OBJ)tabmath.o $(OBJ)utils.o $(OBJ)datime.o $(OBJ)fftmayer_r4.o $(OBJ)fftmayer_r8.o $(OBJ)fftpackc.o $(OBJ)matxop.o $(OBJ)nbmath.o $(OBJ)nbrandom.o $(OBJ)nbtri.o
 	rm -f $(LIB)libNTools.a
-$(LIB)libNTools.a : $(OBJ)cimage.o $(OBJ)cspline.o $(OBJ)cvector.o $(OBJ)datacards.o $(OBJ)datatypes.o $(OBJ)dates.o $(OBJ)datime.o $(OBJ)difeq.o $(OBJ)dvlist.o $(OBJ)dynccd.o $(OBJ)fct1dfit.o $(OBJ)fct2dfit.o $(OBJ)fftpackc.o $(OBJ)fftserver.o $(OBJ)generaldata.o $(OBJ)generalfit.o $(OBJ)hisprof.o $(OBJ)histos.o $(OBJ)histos2.o $(OBJ)imageop.o $(OBJ)integ.o $(OBJ)linfit.o $(OBJ)matrix.o $(OBJ)matxop.o $(OBJ)median.o $(OBJ)nbmath.o $(OBJ)nbrandom.o $(OBJ)nbtri.o $(OBJ)ntupintf.o $(OBJ)ntuple.o $(OBJ)outilsinit.o $(OBJ)perandom.o $(OBJ)poly.o $(OBJ)rk4cdifeq.o $(OBJ)rzimage.o $(OBJ)simplesort.o $(OBJ)strutil.o $(OBJ)tabmath.o $(OBJ)tmatrix.o $(OBJ)tvector.o $(OBJ)utils.o
+$(LIB)libNTools.a : $(OBJ)cimage.o $(OBJ)cspline.o $(OBJ)datatypes.o $(OBJ)dates.o $(OBJ)datime.o $(OBJ)difeq.o $(OBJ)dynccd.o $(OBJ)fct1dfit.o $(OBJ)fct2dfit.o $(OBJ)fftmayer_r4.o $(OBJ)fftmayer_r8.o $(OBJ)fftmserver.o $(OBJ)fftpackc.o $(OBJ)fftpserver.o $(OBJ)fftserver.o $(OBJ)fftservintf.o $(OBJ)generaldata.o $(OBJ)generalfit.o $(OBJ)imageop.o $(OBJ)integ.o $(OBJ)matxop.o $(OBJ)median.o $(OBJ)nbmath.o $(OBJ)nbrandom.o $(OBJ)nbtri.o $(OBJ)ntoolsinit.o $(OBJ)ntupintf.o $(OBJ)objfitter.o $(OBJ)perandom.o $(OBJ)poly.o $(OBJ)rk4cdifeq.o $(OBJ)rzimage.o $(OBJ)simplesort.o $(OBJ)tabmath.o $(OBJ)utils.o
 	$(ARCXX) $(ARCXXFLAGS) $@ $?
 ifeq ($(CXX),cxx)
-	$(CXX) $? $(CPPFLAGS) $(CXXFLAGS) -L$(LIB) -lNTools -lSysTools -o $(OBJ)xx.x -Hf
+	$(CXX) $? $(CPPFLAGS) $(CXXFLAGS) -o $(OBJ)xx.x -Hf
 endif 
  
@@ -16,26 +16,20 @@
  $(INC)pexceptions.h cimage.h rzimage.h \
  rzvect.h datatypes.h $(INC)ppersist.h \
- $(INC)md5.h dvlist.h \
+ $(INC)gnumd5.h \
+ $(INC)dvlist.h \
  $(INC)objfio.h \
  $(INC)anydataobj.h fct1dfit.h generalfit.h \
- tvector.h tmatrix.h $(INC)ndatablock.h \
- generaldata.h ntupintf.h poly.h peida.h utils.h fmath.h histos.h \
- nbconst.h
+ $(INC)tvector.h \
+ $(INC)tmatrix.h \
+ $(INC)tarray.h \
+ $(INC)basarr.h \
+ $(INC)ndatablock.h \
+ $(INC)utilarr.h generaldata.h ntupintf.h \
+ poly.h peida.h utils.h fmath.h \
+ $(INC)histos.h \
+ $(INC)peida.h nbconst.h
 $(OBJ)cspline.o: cspline.cc $(INC)machdefs.h \
  $(INC)pclassids.h nbtri.h cspline.h \
  $(INC)pexceptions.h
-$(OBJ)cvector.o: cvector.cc $(INC)machdefs.h \
- $(INC)pclassids.h cvector.h matrix.h \
- peida.h utils.h $(INC)perrors.h \
- $(INC)pexceptions.h fmath.h \
- $(INC)anydataobj.h \
- $(INC)ppersist.h \
- $(INC)md5.h generalfit.h tvector.h \
- tmatrix.h $(INC)ndatablock.h generaldata.h \
- $(INC)objfio.h ntupintf.h poly.h
-$(OBJ)datacards.o: datacards.cc $(INC)machdefs.h \
- $(INC)pclassids.h datacards.h peida.h \
- utils.h $(INC)perrors.h \
- $(INC)pexceptions.h fmath.h
 $(OBJ)datatypes.o: datatypes.cc datatypes.h \
  $(INC)machdefs.h \
@@ -47,175 +41,257 @@
 $(OBJ)difeq.o: difeq.cc difeq.h $(INC)machdefs.h \
  $(INC)pclassids.h \
- $(INC)pexceptions.h tvector.h tmatrix.h \
- $(INC)ppersist.h \
- $(INC)md5.h \
- $(INC)anydataobj.h \
- $(INC)ndatablock.h \
+ $(INC)pexceptions.h \
+ $(INC)tvector.h \
+ $(INC)tmatrix.h \
+ $(INC)tarray.h \
+ $(INC)basarr.h \
+ $(INC)anydataobj.h \
+ $(INC)dvlist.h \
+ $(INC)objfio.h \
+ $(INC)ppersist.h \
+ $(INC)gnumd5.h \
+ $(INC)ndatablock.h \
+ $(INC)utilarr.h \
  $(INC)ctimer.h
-$(OBJ)dvlist.o: dvlist.cc $(INC)machdefs.h \
- $(INC)pclassids.h dvlist.h \
- $(INC)objfio.h \
- $(INC)anydataobj.h \
- $(INC)ppersist.h \
- $(INC)pexceptions.h \
- $(INC)md5.h strutil.h
 $(OBJ)dynccd.o: dynccd.cc $(INC)machdefs.h \
  $(INC)pclassids.h fmath.h perandom.h \
- histos.h $(INC)objfio.h \
- $(INC)anydataobj.h \
- $(INC)ppersist.h \
- $(INC)pexceptions.h \
- $(INC)md5.h peida.h utils.h \
- $(INC)perrors.h tvector.h tmatrix.h \
- $(INC)ndatablock.h nbrandom.h cimage.h \
- rzimage.h rzvect.h datatypes.h dvlist.h dynccd.h
+ $(INC)histos.h \
+ $(INC)objfio.h \
+ $(INC)anydataobj.h \
+ $(INC)ppersist.h \
+ $(INC)pexceptions.h \
+ $(INC)gnumd5.h \
+ $(INC)peida.h \
+ $(INC)utils.h \
+ $(INC)perrors.h \
+ $(INC)fmath.h \
+ $(INC)tvector.h \
+ $(INC)tmatrix.h \
+ $(INC)tarray.h \
+ $(INC)basarr.h \
+ $(INC)dvlist.h \
+ $(INC)ndatablock.h \
+ $(INC)utilarr.h nbrandom.h cimage.h \
+ rzimage.h rzvect.h datatypes.h dynccd.h
 $(OBJ)fct1dfit.o: fct1dfit.cc $(INC)machdefs.h \
  $(INC)pclassids.h fct1dfit.h generalfit.h \
- $(INC)pexceptions.h tvector.h tmatrix.h \
- $(INC)ppersist.h \
- $(INC)md5.h \
- $(INC)anydataobj.h \
- $(INC)ndatablock.h generaldata.h \
- $(INC)objfio.h ntupintf.h poly.h peida.h \
- utils.h $(INC)perrors.h fmath.h nbconst.h \
- tabmath.h
+ $(INC)pexceptions.h \
+ $(INC)tvector.h \
+ $(INC)tmatrix.h \
+ $(INC)tarray.h \
+ $(INC)basarr.h \
+ $(INC)anydataobj.h \
+ $(INC)dvlist.h \
+ $(INC)objfio.h \
+ $(INC)ppersist.h \
+ $(INC)gnumd5.h \
+ $(INC)ndatablock.h \
+ $(INC)utilarr.h generaldata.h ntupintf.h \
+ poly.h peida.h utils.h $(INC)perrors.h \
+ fmath.h nbconst.h tabmath.h
 $(OBJ)fct2dfit.o: fct2dfit.cc $(INC)machdefs.h \
  $(INC)pclassids.h fct2dfit.h generalfit.h \
- $(INC)pexceptions.h tvector.h tmatrix.h \
- $(INC)ppersist.h \
- $(INC)md5.h \
- $(INC)anydataobj.h \
- $(INC)ndatablock.h generaldata.h \
- $(INC)objfio.h ntupintf.h poly.h peida.h \
- utils.h $(INC)perrors.h fmath.h nbconst.h \
- tabmath.h simps2d.h
-$(OBJ)fftserver.o: fftserver.cc fftserver.h tvector.h tmatrix.h \
- $(INC)machdefs.h \
- $(INC)pclassids.h \
- $(INC)ppersist.h \
- $(INC)pexceptions.h \
- $(INC)md5.h \
- $(INC)anydataobj.h \
- $(INC)ndatablock.h
+ $(INC)pexceptions.h \
+ $(INC)tvector.h \
+ $(INC)tmatrix.h \
+ $(INC)tarray.h \
+ $(INC)basarr.h \
+ $(INC)anydataobj.h \
+ $(INC)dvlist.h \
+ $(INC)objfio.h \
+ $(INC)ppersist.h \
+ $(INC)gnumd5.h \
+ $(INC)ndatablock.h \
+ $(INC)utilarr.h generaldata.h ntupintf.h \
+ poly.h peida.h utils.h $(INC)perrors.h \
+ fmath.h nbconst.h tabmath.h simps2d.h
+$(OBJ)fftmserver.o: fftmserver.cc fftmserver.h fftservintf.h \
+ $(INC)machdefs.h \
+ $(INC)pclassids.h \
+ $(INC)pexceptions.h \
+ $(INC)tmatrix.h \
+ $(INC)tarray.h \
+ $(INC)basarr.h \
+ $(INC)anydataobj.h \
+ $(INC)dvlist.h \
+ $(INC)objfio.h \
+ $(INC)ppersist.h \
+ $(INC)gnumd5.h \
+ $(INC)ndatablock.h \
+ $(INC)utilarr.h \
+ $(INC)tvector.h fftmayer.h
+$(OBJ)fftpserver.o: fftpserver.cc fftpserver.h fftservintf.h \
+ $(INC)machdefs.h \
+ $(INC)pclassids.h \
+ $(INC)pexceptions.h \
+ $(INC)tmatrix.h \
+ $(INC)tarray.h \
+ $(INC)basarr.h \
+ $(INC)anydataobj.h \
+ $(INC)dvlist.h \
+ $(INC)objfio.h \
+ $(INC)ppersist.h \
+ $(INC)gnumd5.h \
+ $(INC)ndatablock.h \
+ $(INC)utilarr.h \
+ $(INC)tvector.h fftpackc.h
+$(OBJ)fftserver.o: fftserver.cc fftserver.h \
+ $(INC)tvector.h \
+ $(INC)tmatrix.h \
+ $(INC)machdefs.h \
+ $(INC)pclassids.h \
+ $(INC)tarray.h \
+ $(INC)basarr.h \
+ $(INC)anydataobj.h \
+ $(INC)dvlist.h \
+ $(INC)objfio.h \
+ $(INC)ppersist.h \
+ $(INC)pexceptions.h \
+ $(INC)gnumd5.h \
+ $(INC)ndatablock.h \
+ $(INC)utilarr.h
+$(OBJ)fftservintf.o: fftservintf.cc fftservintf.h \
+ $(INC)machdefs.h \
+ $(INC)pclassids.h \
+ $(INC)pexceptions.h \
+ $(INC)tmatrix.h \
+ $(INC)tarray.h \
+ $(INC)basarr.h \
+ $(INC)anydataobj.h \
+ $(INC)dvlist.h \
+ $(INC)objfio.h \
+ $(INC)ppersist.h \
+ $(INC)gnumd5.h \
+ $(INC)ndatablock.h \
+ $(INC)utilarr.h \
+ $(INC)tvector.h
 $(OBJ)generaldata.o: generaldata.cc \
  $(INC)machdefs.h \
- $(INC)pclassids.h strutil.h nbtri.h \
- generalfit.h $(INC)pexceptions.h tvector.h \
- tmatrix.h $(INC)ppersist.h \
- $(INC)md5.h \
- $(INC)anydataobj.h \
- $(INC)ndatablock.h generaldata.h \
- $(INC)objfio.h ntupintf.h poly.h peida.h \
- utils.h $(INC)perrors.h fmath.h
+ $(INC)pclassids.h \
+ $(INC)strutil.h nbtri.h generalfit.h \
+ $(INC)pexceptions.h \
+ $(INC)tvector.h \
+ $(INC)tmatrix.h \
+ $(INC)tarray.h \
+ $(INC)basarr.h \
+ $(INC)anydataobj.h \
+ $(INC)dvlist.h \
+ $(INC)objfio.h \
+ $(INC)ppersist.h \
+ $(INC)gnumd5.h \
+ $(INC)ndatablock.h \
+ $(INC)utilarr.h generaldata.h ntupintf.h \
+ poly.h peida.h utils.h $(INC)perrors.h \
+ fmath.h
 $(OBJ)generalfit.o: generalfit.cc $(INC)machdefs.h \
  $(INC)pclassids.h \
- $(INC)pexceptions.h generalfit.h tvector.h \
- tmatrix.h $(INC)ppersist.h \
- $(INC)md5.h \
- $(INC)anydataobj.h \
- $(INC)ndatablock.h generaldata.h \
- $(INC)objfio.h ntupintf.h poly.h peida.h \
- utils.h $(INC)perrors.h fmath.h
-$(OBJ)hisprof.o: hisprof.cc $(INC)machdefs.h \
- $(INC)pclassids.h hisprof.h peida.h utils.h \
- $(INC)perrors.h \
- $(INC)pexceptions.h fmath.h tvector.h \
- tmatrix.h $(INC)ppersist.h \
- $(INC)md5.h \
- $(INC)anydataobj.h \
- $(INC)ndatablock.h histos.h \
- $(INC)objfio.h
-$(OBJ)histos.o: histos.cc $(INC)machdefs.h \
- $(INC)pclassids.h histos.h \
- $(INC)objfio.h \
- $(INC)anydataobj.h \
- $(INC)ppersist.h \
- $(INC)pexceptions.h \
- $(INC)md5.h peida.h utils.h \
- $(INC)perrors.h fmath.h tvector.h tmatrix.h \
- $(INC)ndatablock.h poly.h strutil.h \
- generalfit.h generaldata.h ntupintf.h
-$(OBJ)histos2.o: histos2.cc $(INC)machdefs.h \
- $(INC)pclassids.h histos2.h peida.h utils.h \
- $(INC)perrors.h \
- $(INC)pexceptions.h fmath.h histos.h \
- $(INC)objfio.h \
- $(INC)anydataobj.h \
- $(INC)ppersist.h \
- $(INC)md5.h tvector.h tmatrix.h \
- $(INC)ndatablock.h generalfit.h \
- generaldata.h ntupintf.h poly.h
+ $(INC)pexceptions.h generalfit.h \
+ $(INC)tvector.h \
+ $(INC)tmatrix.h \
+ $(INC)tarray.h \
+ $(INC)basarr.h \
+ $(INC)anydataobj.h \
+ $(INC)dvlist.h \
+ $(INC)objfio.h \
+ $(INC)ppersist.h \
+ $(INC)gnumd5.h \
+ $(INC)ndatablock.h \
+ $(INC)utilarr.h generaldata.h ntupintf.h \
+ poly.h peida.h utils.h $(INC)perrors.h \
+ fmath.h $(INC)sopemtx.h
 $(OBJ)imageop.o: imageop.cc $(INC)machdefs.h \
  $(INC)pclassids.h simplesort.h peida.h \
  utils.h $(INC)perrors.h \
  $(INC)pexceptions.h fmath.h nbmath.h \
- histos.h $(INC)objfio.h \
- $(INC)anydataobj.h \
- $(INC)ppersist.h \
- $(INC)md5.h tvector.h tmatrix.h \
- $(INC)ndatablock.h datatypes.h imageop.h \
- cimage.h rzimage.h rzvect.h dvlist.h cspline.h dynccd.h nbtri.h
+ $(INC)smathconst.h \
+ $(INC)histos.h \
+ $(INC)objfio.h \
+ $(INC)anydataobj.h \
+ $(INC)ppersist.h \
+ $(INC)gnumd5.h \
+ $(INC)peida.h \
+ $(INC)tvector.h \
+ $(INC)tmatrix.h \
+ $(INC)tarray.h \
+ $(INC)basarr.h \
+ $(INC)dvlist.h \
+ $(INC)ndatablock.h \
+ $(INC)utilarr.h datatypes.h imageop.h \
+ cimage.h rzimage.h rzvect.h cspline.h dynccd.h nbtri.h
 $(OBJ)integ.o: integ.cc integ.h $(INC)machdefs.h \
  $(INC)pclassids.h \
- $(INC)pexceptions.h generalfit.h tvector.h \
- tmatrix.h $(INC)ppersist.h \
- $(INC)md5.h \
- $(INC)anydataobj.h \
- $(INC)ndatablock.h generaldata.h \
- $(INC)objfio.h ntupintf.h poly.h peida.h \
- utils.h $(INC)perrors.h fmath.h
-$(OBJ)linfit.o: linfit.cc $(INC)machdefs.h \
- $(INC)pclassids.h peida.h utils.h \
- $(INC)perrors.h \
- $(INC)pexceptions.h fmath.h linfit.h \
- tvector.h tmatrix.h $(INC)ppersist.h \
- $(INC)md5.h \
- $(INC)anydataobj.h \
- $(INC)ndatablock.h
-$(OBJ)matrix.o: matrix.cc $(INC)machdefs.h \
- $(INC)pclassids.h peida.h utils.h \
- $(INC)perrors.h \
- $(INC)pexceptions.h fmath.h matrix.h \
- $(INC)anydataobj.h \
- $(INC)ppersist.h \
- $(INC)md5.h cvector.h generalfit.h \
- tvector.h tmatrix.h $(INC)ndatablock.h \
- generaldata.h $(INC)objfio.h ntupintf.h \
- poly.h
+ $(INC)pexceptions.h generalfit.h \
+ $(INC)tvector.h \
+ $(INC)tmatrix.h \
+ $(INC)tarray.h \
+ $(INC)basarr.h \
+ $(INC)anydataobj.h \
+ $(INC)dvlist.h \
+ $(INC)objfio.h \
+ $(INC)ppersist.h \
+ $(INC)gnumd5.h \
+ $(INC)ndatablock.h \
+ $(INC)utilarr.h generaldata.h ntupintf.h \
+ poly.h peida.h utils.h $(INC)perrors.h \
+ fmath.h
 $(OBJ)median.o: median.cc
+$(OBJ)ntoolsinit.o: ntoolsinit.cc $(INC)machdefs.h \
+ $(INC)pclassids.h ntoolsinit.h \
+ $(INC)tarrinit.h \
+ $(INC)sophyainit.h poly.h \
+ $(INC)objfio.h \
+ $(INC)anydataobj.h \
+ $(INC)ppersist.h \
+ $(INC)pexceptions.h \
+ $(INC)gnumd5.h peida.h utils.h \
+ $(INC)perrors.h fmath.h \
+ $(INC)tvector.h \
+ $(INC)tmatrix.h \
+ $(INC)tarray.h \
+ $(INC)basarr.h \
+ $(INC)dvlist.h \
+ $(INC)ndatablock.h \
+ $(INC)utilarr.h generaldata.h ntupintf.h \
+ cimage.h rzimage.h rzvect.h datatypes.h tabmath.h nbconst.h dates.h \
+ datime.h
 $(OBJ)ntupintf.o: ntupintf.cc ntupintf.h \
  $(INC)machdefs.h \
  $(INC)pclassids.h
-$(OBJ)ntuple.o: ntuple.cc strutil.h \
- $(INC)perrors.h \
- $(INC)pexceptions.h \
- $(INC)machdefs.h \
- $(INC)pclassids.h ntuple.h \
- $(INC)objfio.h \
- $(INC)anydataobj.h \
- $(INC)ppersist.h \
- $(INC)md5.h ntupintf.h dvlist.h
-$(OBJ)outilsinit.o: outilsinit.cc outilsinit.h \
- $(INC)peidainit.h \
- $(INC)machdefs.h \
- $(INC)pclassids.h matrix.h peida.h utils.h \
- $(INC)perrors.h \
- $(INC)pexceptions.h fmath.h \
- $(INC)anydataobj.h \
- $(INC)ppersist.h \
- $(INC)md5.h cvector.h poly.h \
- $(INC)objfio.h tvector.h tmatrix.h \
- $(INC)ndatablock.h dvlist.h histos.h \
- histos2.h hisprof.h ntuple.h ntupintf.h generaldata.h cimage.h \
- rzimage.h rzvect.h datatypes.h tabmath.h nbconst.h dates.h datime.h
+$(OBJ)objfitter.o: objfitter.cc objfitter.h \
+ $(INC)machdefs.h \
+ $(INC)pclassids.h \
+ $(INC)tmatrix.h \
+ $(INC)tarray.h \
+ $(INC)basarr.h \
+ $(INC)anydataobj.h \
+ $(INC)dvlist.h \
+ $(INC)objfio.h \
+ $(INC)ppersist.h \
+ $(INC)pexceptions.h \
+ $(INC)gnumd5.h \
+ $(INC)ndatablock.h \
+ $(INC)utilarr.h \
+ $(INC)tvector.h generalfit.h generaldata.h \
+ ntupintf.h poly.h peida.h utils.h \
+ $(INC)perrors.h fmath.h
 $(OBJ)perandom.o: perandom.cc $(INC)machdefs.h \
  $(INC)pclassids.h \
- $(INC)pexceptions.h perandom.h histos.h \
- $(INC)objfio.h \
- $(INC)anydataobj.h \
- $(INC)ppersist.h \
- $(INC)md5.h peida.h utils.h \
- $(INC)perrors.h fmath.h tvector.h tmatrix.h \
- $(INC)ndatablock.h nbrandom.h pemath.h
+ $(INC)pexceptions.h perandom.h \
+ $(INC)histos.h \
+ $(INC)objfio.h \
+ $(INC)anydataobj.h \
+ $(INC)ppersist.h \
+ $(INC)gnumd5.h \
+ $(INC)peida.h \
+ $(INC)utils.h \
+ $(INC)perrors.h \
+ $(INC)fmath.h \
+ $(INC)tvector.h \
+ $(INC)tmatrix.h \
+ $(INC)tarray.h \
+ $(INC)basarr.h \
+ $(INC)dvlist.h \
+ $(INC)ndatablock.h \
+ $(INC)utilarr.h nbrandom.h pemath.h
 $(OBJ)poly.o: poly.cc $(INC)machdefs.h \
  $(INC)pclassids.h poly.h \
@@ -224,14 +300,29 @@
  $(INC)ppersist.h \
  $(INC)pexceptions.h \
- $(INC)md5.h peida.h utils.h \
- $(INC)perrors.h fmath.h tvector.h tmatrix.h \
- $(INC)ndatablock.h linfit.h
+ $(INC)gnumd5.h peida.h utils.h \
+ $(INC)perrors.h fmath.h \
+ $(INC)tvector.h \
+ $(INC)tmatrix.h \
+ $(INC)tarray.h \
+ $(INC)basarr.h \
+ $(INC)dvlist.h \
+ $(INC)ndatablock.h \
+ $(INC)utilarr.h linfit.h \
+ $(INC)sopemtx.h \
+ $(INC)fioarr.h
 $(OBJ)rk4cdifeq.o: rk4cdifeq.cc $(INC)machdefs.h \
  $(INC)pclassids.h rk4cdifeq.h difeq.h \
- $(INC)pexceptions.h tvector.h tmatrix.h \
- $(INC)ppersist.h \
- $(INC)md5.h \
- $(INC)anydataobj.h \
- $(INC)ndatablock.h \
+ $(INC)pexceptions.h \
+ $(INC)tvector.h \
+ $(INC)tmatrix.h \
+ $(INC)tarray.h \
+ $(INC)basarr.h \
+ $(INC)anydataobj.h \
+ $(INC)dvlist.h \
+ $(INC)objfio.h \
+ $(INC)ppersist.h \
+ $(INC)gnumd5.h \
+ $(INC)ndatablock.h \
+ $(INC)utilarr.h \
  $(INC)ctimer.h
 $(OBJ)rzimage.o: rzimage.cc $(INC)machdefs.h \
@@ -240,9 +331,15 @@
  $(INC)perrors.h datatypes.h \
  $(INC)ppersist.h \
- $(INC)md5.h dvlist.h \
- $(INC)objfio.h \
- $(INC)anydataobj.h generalfit.h tvector.h \
- tmatrix.h $(INC)ndatablock.h generaldata.h \
- ntupintf.h poly.h peida.h utils.h fmath.h
+ $(INC)gnumd5.h \
+ $(INC)dvlist.h \
+ $(INC)objfio.h \
+ $(INC)anydataobj.h generalfit.h \
+ $(INC)tvector.h \
+ $(INC)tmatrix.h \
+ $(INC)tarray.h \
+ $(INC)basarr.h \
+ $(INC)ndatablock.h \
+ $(INC)utilarr.h generaldata.h ntupintf.h \
+ poly.h peida.h utils.h fmath.h
 $(OBJ)simplesort.o: simplesort.cc $(INC)machdefs.h \
  $(INC)pclassids.h simplesort.h peida.h \
@@ -253,37 +350,22 @@
  $(INC)perrors.h \
  $(INC)pexceptions.h fmath.h nbconst.h
-$(OBJ)tmatrix.o: tmatrix.cc $(INC)machdefs.h \
- $(INC)pclassids.h \
- $(INC)pexceptions.h tmatrix.h \
- $(INC)ppersist.h \
- $(INC)md5.h \
- $(INC)anydataobj.h \
- $(INC)ndatablock.h \
- $(INC)objfio.h generalfit.h tvector.h \
- generaldata.h ntupintf.h poly.h peida.h utils.h \
- $(INC)perrors.h fmath.h
-$(OBJ)tvector.o: tvector.cc $(INC)machdefs.h \
- $(INC)pclassids.h \
- $(INC)pexceptions.h tvector.h tmatrix.h \
- $(INC)ppersist.h \
- $(INC)md5.h \
- $(INC)anydataobj.h \
- $(INC)ndatablock.h \
- $(INC)objfio.h generalfit.h generaldata.h \
- ntupintf.h poly.h peida.h utils.h \
- $(INC)perrors.h fmath.h
 $(OBJ)utils.o: utils.cc $(INC)machdefs.h \
  $(INC)pclassids.h utils.h \
  $(INC)pexceptions.h
 $(OBJ)datime.o: datime.c $(INC)machdefs.h \
- strutil.h nbconst.h datime.h
+ $(INC)strutil.h nbconst.h datime.h
+$(OBJ)fftmayer_r4.o: fftmayer_r4.c fftmayer.h \
+ $(INC)machdefs.h trigtbl.h
+$(OBJ)fftmayer_r8.o: fftmayer_r8.c fftmayer.h \
+ $(INC)machdefs.h trigtbl.h
 $(OBJ)fftpackc.o: fftpackc.c fftpackc.h \
  $(INC)machdefs.h
 $(OBJ)matxop.o: matxop.c matxop.h nbmath.h \
- $(INC)machdefs.h
+ $(INC)machdefs.h \
+ $(INC)smathconst.h
 $(OBJ)nbmath.o: nbmath.c nbmath.h $(INC)machdefs.h \
- matxop.h nbinteg.h nbtri.h
+ $(INC)smathconst.h matxop.h nbinteg.h \
+ nbtri.h
 $(OBJ)nbrandom.o: nbrandom.c $(INC)machdefs.h \
- nbmath.h nbrandom.h
+ nbmath.h $(INC)smathconst.h nbrandom.h
 $(OBJ)nbtri.o: nbtri.c nbtri.h $(INC)machdefs.h
-$(OBJ)strutil.o: strutil.c strutil.h
Index: trunk/SophyaLib/NTools/objlist.list
===================================================================
--- trunk/SophyaLib/NTools/objlist.list	(revision 823)
+++ trunk/SophyaLib/NTools/objlist.list	(revision 824)
@@ -1,25 +1,22 @@
 cimage.o
 cspline.o
-cvector.o
-datacards.o
 datatypes.o
 dates.o
 datime.o
 difeq.o
-dvlist.o
 dynccd.o
 fct1dfit.o
 fct2dfit.o
+fftmayer_r4.o
+fftmayer_r8.o
+fftmserver.o
 fftpackc.o
+fftpserver.o
 fftserver.o
+fftservintf.o
 generaldata.o
 generalfit.o
-hisprof.o
-histos.o
-histos2.o
 imageop.o
 integ.o
-linfit.o
-matrix.o
 matxop.o
 median.o
@@ -27,7 +24,7 @@
 nbrandom.o
 nbtri.o
+ntoolsinit.o
 ntupintf.o
-ntuple.o
-outilsinit.o
+objfitter.o
 perandom.o
 poly.o
@@ -35,7 +32,4 @@
 rzimage.o
 simplesort.o
-strutil.o
 tabmath.o
-tmatrix.o
-tvector.o
 utils.o
Index: trunk/SophyaLib/Samba/Makefile
===================================================================
--- trunk/SophyaLib/Samba/Makefile	(revision 823)
+++ trunk/SophyaLib/Samba/Makefile	(revision 824)
@@ -3,71 +3,94 @@
 all: $(LIB)libSamba.a
 clean:
-	rm -f $(OBJ)ana2fast.o $(OBJ)anagen.o $(OBJ)bruit.o $(OBJ)circle.o $(OBJ)gorfph.o $(OBJ)lambuilder.o $(OBJ)localmap.o $(OBJ)longlat.o $(OBJ)mlobe.o $(OBJ)sambainit.o $(OBJ)scan.o $(OBJ)spheregorski.o $(OBJ)spherepos.o $(OBJ)spherethetaphi.o $(OBJ)syn2fast.o $(OBJ)syngen.o $(OBJ)unitvector.o $(OBJ)utilgeom.o $(OBJ)vector3d.o
+	rm -f $(OBJ)alm.o $(OBJ)bruit.o $(OBJ)circle.o $(OBJ)lambdaBuilder.o $(OBJ)mlobe.o $(OBJ)sambainit.o $(OBJ)scan.o $(OBJ)sphericaltransformserver.o
 	rm -f $(LIB)libSamba.a
-$(LIB)libSamba.a : $(OBJ)bruit.o $(OBJ)circle.o $(OBJ)gorfph.o $(OBJ)localmap.o $(OBJ)longlat.o $(OBJ)mlobe.o $(OBJ)sambainit.o $(OBJ)scan.o $(OBJ)spheregorski.o $(OBJ)spherepos.o $(OBJ)spherethetaphi.o $(OBJ)unitvector.o $(OBJ)utilgeom.o $(OBJ)vector3d.o
+$(LIB)libSamba.a : $(OBJ)alm.o $(OBJ)bruit.o $(OBJ)circle.o $(OBJ)lambdaBuilder.o $(OBJ)mlobe.o $(OBJ)sambainit.o $(OBJ)scan.o $(OBJ)sphericaltransformserver.o
 	$(ARCXX) $(ARCXXFLAGS) $@ $?
 ifeq ($(CXX),cxx)
-	$(CXX) $? $(CPPFLAGS) $(CXXFLAGS) -L$(LIB) -lSamba -lNTools -lSysTools -o $(OBJ)xx.x -Hf
+	$(CXX) $? $(CPPFLAGS) $(CXXFLAGS) -o $(OBJ)xx.x -Hf
 endif 
  
+$(OBJ)alm.o: alm.cc alm.h $(INC)nbrandom.h \
+ $(INC)machdefs.h \
+ $(INC)pclassids.h \
+ $(INC)nbmath.h \
+ $(INC)smathconst.h \
+ $(INC)triangmtx.h \
+ $(INC)ndatablock.h \
+ $(INC)anydataobj.h \
+ $(INC)pexceptions.h \
+ $(INC)tvector.h \
+ $(INC)tmatrix.h \
+ $(INC)tarray.h \
+ $(INC)basarr.h \
+ $(INC)dvlist.h \
+ $(INC)objfio.h \
+ $(INC)ppersist.h \
+ $(INC)gnumd5.h \
+ $(INC)utilarr.h
 $(OBJ)bruit.o: bruit.cc $(INC)fmath.h bruit.h \
  $(INC)nbrandom.h \
  $(INC)machdefs.h \
  $(INC)pclassids.h
-$(OBJ)circle.o: circle.cc circle.h vector3d.h longlat.h utilgeom.h \
- unitvector.h geometry.h
-$(OBJ)gorfph.o: gorfph.cc
-$(OBJ)localmap.o: localmap.cc localmap.h pixelmap.h \
- $(INC)ppersist.h \
+$(OBJ)circle.o: circle.cc circle.h $(INC)vector3d.h \
+ $(INC)longlat.h \
+ $(INC)utilgeom.h \
+ $(INC)unitvector.h geometry.h
+$(OBJ)lambdaBuilder.o: lambdaBuilder.cc lambdaBuilder.h \
+ $(INC)ndatablock.h \
  $(INC)machdefs.h \
  $(INC)pclassids.h \
- $(INC)pexceptions.h \
- $(INC)md5.h \
+ $(INC)anydataobj.h \
+ $(INC)tvector.h \
+ $(INC)tmatrix.h \
+ $(INC)tarray.h \
+ $(INC)basarr.h \
  $(INC)dvlist.h \
  $(INC)objfio.h \
- $(INC)anydataobj.h spherepos.h unitvector.h \
- vector3d.h longlat.h utilgeom.h sphericalmap.h \
+ $(INC)ppersist.h \
+ $(INC)pexceptions.h \
+ $(INC)gnumd5.h \
+ $(INC)utilarr.h alm.h \
+ $(INC)nbrandom.h \
  $(INC)nbmath.h \
+ $(INC)smathconst.h \
+ $(INC)triangmtx.h \
+ $(INC)nbconst.h
+$(OBJ)mlobe.o: mlobe.cc mlobe.h \
+ $(INC)sphericalmap.h \
+ $(INC)smathconst.h \
+ $(INC)machdefs.h \
+ $(INC)pclassids.h \
+ $(INC)pixelmap.h \
+ $(INC)ppersist.h \
+ $(INC)pexceptions.h \
+ $(INC)gnumd5.h \
+ $(INC)dvlist.h \
+ $(INC)objfio.h \
+ $(INC)anydataobj.h \
+ $(INC)spherepos.h \
+ $(INC)unitvector.h \
+ $(INC)vector3d.h \
+ $(INC)longlat.h \
+ $(INC)utilgeom.h \
  $(INC)tvector.h \
  $(INC)tmatrix.h \
+ $(INC)tarray.h \
+ $(INC)basarr.h \
  $(INC)ndatablock.h \
- $(INC)piocmplx.h
-$(OBJ)longlat.o: longlat.cc longlat.h utilgeom.h
-$(OBJ)mlobe.o: mlobe.cc mlobe.h sphericalmap.h \
- $(INC)nbmath.h \
- $(INC)machdefs.h \
- $(INC)pclassids.h pixelmap.h \
- $(INC)ppersist.h \
- $(INC)pexceptions.h \
- $(INC)md5.h \
- $(INC)dvlist.h \
- $(INC)objfio.h \
- $(INC)anydataobj.h spherepos.h unitvector.h \
- vector3d.h longlat.h utilgeom.h \
- $(INC)tvector.h \
- $(INC)tmatrix.h \
- $(INC)ndatablock.h \
+ $(INC)utilarr.h \
  $(INC)timing.h
 $(OBJ)sambainit.o: sambainit.cc sambainit.h \
- $(INC)outilsinit.h \
- $(INC)peidainit.h \
+ $(INC)skymapinit.h \
+ $(INC)tarrinit.h \
+ $(INC)sophyainit.h \
  $(INC)machdefs.h \
  $(INC)pclassids.h \
- $(INC)ppersist.h \
- $(INC)pexceptions.h \
- $(INC)md5.h \
- $(INC)objfio.h \
- $(INC)anydataobj.h spherethetaphi.h \
- sphericalmap.h $(INC)nbmath.h pixelmap.h \
- $(INC)dvlist.h spherepos.h unitvector.h \
- vector3d.h longlat.h utilgeom.h \
- $(INC)tvector.h \
- $(INC)tmatrix.h \
- $(INC)ndatablock.h spheregorski.h
+ $(INC)ntoolsinit.h
 $(OBJ)scan.o: scan.cc $(INC)machdefs.h \
  $(INC)pclassids.h scan.h \
  $(INC)ppersist.h \
  $(INC)pexceptions.h \
- $(INC)md5.h \
+ $(INC)gnumd5.h \
  $(INC)dvlist.h \
  $(INC)objfio.h \
@@ -75,44 +98,33 @@
  $(INC)ndatablock.h \
  $(INC)piocmplx.h \
- $(INC)nbmath.h
-$(OBJ)spheregorski.o: spheregorski.cc \
+ $(INC)fiondblock.h \
+ $(INC)smathconst.h
+$(OBJ)sphericaltransformserver.o: sphericaltransformserver.cc \
  $(INC)machdefs.h \
- $(INC)pclassids.h \
- $(INC)pexceptions.h spheregorski.h \
- sphericalmap.h $(INC)nbmath.h pixelmap.h \
+ $(INC)pclassids.h sphericaltransformserver.h \
+ $(INC)sphericalmap.h \
+ $(INC)smathconst.h \
+ $(INC)pixelmap.h \
  $(INC)ppersist.h \
- $(INC)md5.h \
+ $(INC)pexceptions.h \
+ $(INC)gnumd5.h \
  $(INC)dvlist.h \
  $(INC)objfio.h \
- $(INC)anydataobj.h spherepos.h unitvector.h \
- vector3d.h longlat.h utilgeom.h \
+ $(INC)anydataobj.h \
+ $(INC)spherepos.h \
+ $(INC)unitvector.h \
+ $(INC)vector3d.h \
+ $(INC)longlat.h \
+ $(INC)utilgeom.h \
  $(INC)tvector.h \
  $(INC)tmatrix.h \
+ $(INC)tarray.h \
+ $(INC)basarr.h \
  $(INC)ndatablock.h \
- $(INC)strutil.h
-$(OBJ)spherepos.o: spherepos.cc spherepos.h \
- $(INC)machdefs.h \
- $(INC)pclassids.h \
- $(INC)ppersist.h \
- $(INC)pexceptions.h \
- $(INC)md5.h unitvector.h vector3d.h \
- longlat.h utilgeom.h
-$(OBJ)spherethetaphi.o: spherethetaphi.cc spherethetaphi.h sphericalmap.h \
+ $(INC)utilarr.h \
+ $(INC)spheregorski.h \
+ $(INC)fftservintf.h \
+ $(INC)fftpserver.h alm.h \
+ $(INC)nbrandom.h \
  $(INC)nbmath.h \
- $(INC)machdefs.h \
- $(INC)pclassids.h pixelmap.h \
- $(INC)ppersist.h \
- $(INC)pexceptions.h \
- $(INC)md5.h \
- $(INC)dvlist.h \
- $(INC)objfio.h \
- $(INC)anydataobj.h spherepos.h unitvector.h \
- vector3d.h longlat.h utilgeom.h \
- $(INC)tvector.h \
- $(INC)tmatrix.h \
- $(INC)ndatablock.h \
- $(INC)piocmplx.h
-$(OBJ)unitvector.o: unitvector.cc unitvector.h vector3d.h longlat.h \
- utilgeom.h
-$(OBJ)utilgeom.o: utilgeom.cc utilgeom.h
-$(OBJ)vector3d.o: vector3d.cc vector3d.h longlat.h utilgeom.h
+ $(INC)triangmtx.h lambdaBuilder.h
Index: trunk/SophyaLib/Samba/objlist.list
===================================================================
--- trunk/SophyaLib/Samba/objlist.list	(revision 823)
+++ trunk/SophyaLib/Samba/objlist.list	(revision 824)
@@ -1,14 +1,8 @@
+alm.o
 bruit.o
 circle.o
-gorfph.o
-localmap.o
-longlat.o
+lambdaBuilder.o
 mlobe.o
 sambainit.o
 scan.o
-spheregorski.o
-spherepos.o
-spherethetaphi.o
-unitvector.o
-utilgeom.o
-vector3d.o
+sphericaltransformserver.o
Index: trunk/SophyaLib/SkyMap/Makefile
===================================================================
--- trunk/SophyaLib/SkyMap/Makefile	(revision 823)
+++ trunk/SophyaLib/SkyMap/Makefile	(revision 824)
@@ -8,81 +8,96 @@
 	$(ARCXX) $(ARCXXFLAGS) $@ $?
 ifeq ($(CXX),cxx)
-	$(CXX) $? $(CPPFLAGS) $(CXXFLAGS) -L$(LIB) -lSkyMap -L$(EXTLIBPATH) -o $(OBJ)xx.x -Hf
+	$(CXX) $? $(CPPFLAGS) $(CXXFLAGS) -o $(OBJ)xx.x -Hf
 endif 
  
 $(OBJ)localmap.o: localmap.cc localmap.h pixelmap.h \
- $(INC)/ppersist.h \
- $(INC)/machdefs.h \
- $(INC)/pclassids.h \
- $(INC)/pexceptions.h \
- $(INC)/gnumd5.h \
- $(INC)/dvlist.h \
- $(INC)/objfio.h \
- $(INC)/anydataobj.h spherepos.h unitvector.h \
+ $(INC)ppersist.h \
+ $(INC)machdefs.h \
+ $(INC)pclassids.h \
+ $(INC)pexceptions.h \
+ $(INC)gnumd5.h \
+ $(INC)dvlist.h \
+ $(INC)objfio.h \
+ $(INC)anydataobj.h spherepos.h unitvector.h \
  vector3d.h longlat.h utilgeom.h sphericalmap.h \
- $(INC)/smathconst.h \
- $(INC)/tvector.h \
- $(INC)/tmatrix.h \
- $(INC)/ndatablock.h \
- $(INC)/piocmplx.h
+ $(INC)smathconst.h \
+ $(INC)tvector.h \
+ $(INC)tmatrix.h \
+ $(INC)tarray.h \
+ $(INC)basarr.h \
+ $(INC)ndatablock.h \
+ $(INC)utilarr.h \
+ $(INC)piocmplx.h \
+ $(INC)fiondblock.h
 $(OBJ)longlat.o: longlat.cc longlat.h utilgeom.h
 $(OBJ)skymapinit.o: skymapinit.cc skymapinit.h \
- $(INC)/tarrinit.h \
- $(INC)/sophyainit.h \
- $(INC)/machdefs.h \
- $(INC)/pclassids.h spherethetaphi.h \
- sphericalmap.h $(INC)/smathconst.h pixelmap.h \
- $(INC)/ppersist.h \
- $(INC)/pexceptions.h \
- $(INC)/gnumd5.h \
- $(INC)/dvlist.h \
- $(INC)/objfio.h \
- $(INC)/anydataobj.h spherepos.h unitvector.h \
+ $(INC)tarrinit.h \
+ $(INC)sophyainit.h \
+ $(INC)machdefs.h \
+ $(INC)pclassids.h spherethetaphi.h \
+ sphericalmap.h $(INC)smathconst.h pixelmap.h \
+ $(INC)ppersist.h \
+ $(INC)pexceptions.h \
+ $(INC)gnumd5.h \
+ $(INC)dvlist.h \
+ $(INC)objfio.h \
+ $(INC)anydataobj.h spherepos.h unitvector.h \
  vector3d.h longlat.h utilgeom.h \
- $(INC)/tvector.h \
- $(INC)/tmatrix.h \
- $(INC)/ndatablock.h spheregorski.h localmap.h
+ $(INC)tvector.h \
+ $(INC)tmatrix.h \
+ $(INC)tarray.h \
+ $(INC)basarr.h \
+ $(INC)ndatablock.h \
+ $(INC)utilarr.h spheregorski.h localmap.h
 $(OBJ)spheregorski.o: spheregorski.cc \
- $(INC)/machdefs.h \
- $(INC)/pclassids.h \
- $(INC)/pexceptions.h spheregorski.h \
- sphericalmap.h $(INC)/smathconst.h pixelmap.h \
- $(INC)/ppersist.h \
- $(INC)/gnumd5.h \
- $(INC)/dvlist.h \
- $(INC)/objfio.h \
- $(INC)/anydataobj.h spherepos.h unitvector.h \
+ $(INC)machdefs.h \
+ $(INC)pclassids.h \
+ $(INC)pexceptions.h \
+ $(INC)fiondblock.h \
+ $(INC)ppersist.h \
+ $(INC)gnumd5.h \
+ $(INC)ndatablock.h \
+ $(INC)anydataobj.h spheregorski.h \
+ sphericalmap.h $(INC)smathconst.h pixelmap.h \
+ $(INC)dvlist.h \
+ $(INC)objfio.h spherepos.h unitvector.h \
  vector3d.h longlat.h utilgeom.h \
- $(INC)/tvector.h \
- $(INC)/tmatrix.h \
- $(INC)/ndatablock.h \
- $(INC)/strutil.h
+ $(INC)tvector.h \
+ $(INC)tmatrix.h \
+ $(INC)tarray.h \
+ $(INC)basarr.h \
+ $(INC)utilarr.h \
+ $(INC)strutil.h
 $(OBJ)spherepos.o: spherepos.cc spherepos.h \
- $(INC)/machdefs.h \
- $(INC)/pclassids.h \
- $(INC)/ppersist.h \
- $(INC)/pexceptions.h \
- $(INC)/gnumd5.h unitvector.h vector3d.h \
- longlat.h utilgeom.h $(INC)/anydataobj.h
+ $(INC)machdefs.h \
+ $(INC)pclassids.h \
+ $(INC)ppersist.h \
+ $(INC)pexceptions.h \
+ $(INC)gnumd5.h unitvector.h vector3d.h \
+ longlat.h utilgeom.h $(INC)anydataobj.h
 $(OBJ)spherethetaphi.o: spherethetaphi.cc spherethetaphi.h sphericalmap.h \
- $(INC)/smathconst.h \
- $(INC)/machdefs.h \
- $(INC)/pclassids.h pixelmap.h \
- $(INC)/ppersist.h \
- $(INC)/pexceptions.h \
- $(INC)/gnumd5.h \
- $(INC)/dvlist.h \
- $(INC)/objfio.h \
- $(INC)/anydataobj.h spherepos.h unitvector.h \
+ $(INC)smathconst.h \
+ $(INC)machdefs.h \
+ $(INC)pclassids.h pixelmap.h \
+ $(INC)ppersist.h \
+ $(INC)pexceptions.h \
+ $(INC)gnumd5.h \
+ $(INC)dvlist.h \
+ $(INC)objfio.h \
+ $(INC)anydataobj.h spherepos.h unitvector.h \
  vector3d.h longlat.h utilgeom.h \
- $(INC)/tvector.h \
- $(INC)/tmatrix.h \
- $(INC)/ndatablock.h \
- $(INC)/piocmplx.h
+ $(INC)tvector.h \
+ $(INC)tmatrix.h \
+ $(INC)tarray.h \
+ $(INC)basarr.h \
+ $(INC)ndatablock.h \
+ $(INC)utilarr.h \
+ $(INC)piocmplx.h \
+ $(INC)fiondblock.h
 $(OBJ)unitvector.o: unitvector.cc unitvector.h vector3d.h longlat.h \
  utilgeom.h
 $(OBJ)utilgeom.o: utilgeom.cc utilgeom.h
-$(OBJ)vector3d.o: vector3d.cc $(INC)/machdefs.h \
- $(INC)/pclassids.h \
- $(INC)/pexceptions.h vector3d.h longlat.h \
+$(OBJ)vector3d.o: vector3d.cc $(INC)machdefs.h \
+ $(INC)pclassids.h \
+ $(INC)pexceptions.h vector3d.h longlat.h \
  utilgeom.h
Index: trunk/SophyaLib/SkyT/Makefile
===================================================================
--- trunk/SophyaLib/SkyT/Makefile	(revision 823)
+++ trunk/SophyaLib/SkyT/Makefile	(revision 824)
@@ -3,53 +3,112 @@
 all: $(LIB)libSkyT.a
 clean:
-	rm -f $(OBJ)blackbody.o $(OBJ)convtools.o $(OBJ)easyTest.o $(OBJ)gaussfilt.o $(OBJ)nupower.o $(OBJ)radspec.o $(OBJ)radspecvector.o $(OBJ)skymixer.o $(OBJ)specresp.o $(OBJ)specrespvector.o $(OBJ)squarefilt.o $(OBJ)tgrsr.o $(OBJ)tgsky.o $(OBJ)trianglefilt.o
+	rm -f $(OBJ)blackbody.o $(OBJ)convtools.o $(OBJ)gaussfilt.o $(OBJ)nupower.o $(OBJ)radspec.o $(OBJ)radspecvector.o $(OBJ)skyinit.o $(OBJ)specresp.o $(OBJ)specrespvector.o $(OBJ)squarefilt.o $(OBJ)trianglefilt.o
 	rm -f $(LIB)libSkyT.a
-$(LIB)libSkyT.a : $(OBJ)blackbody.o $(OBJ)convtools.o $(OBJ)gaussfilt.o $(OBJ)nupower.o $(OBJ)radspec.o $(OBJ)radspecvector.o $(OBJ)specresp.o $(OBJ)specrespvector.o $(OBJ)squarefilt.o $(OBJ)trianglefilt.o
+$(LIB)libSkyT.a : $(OBJ)blackbody.o $(OBJ)convtools.o $(OBJ)gaussfilt.o $(OBJ)nupower.o $(OBJ)radspec.o $(OBJ)radspecvector.o $(OBJ)skyinit.o $(OBJ)specresp.o $(OBJ)specrespvector.o $(OBJ)squarefilt.o $(OBJ)trianglefilt.o
 	$(ARCXX) $(ARCXXFLAGS) $@ $?
 ifeq ($(CXX),cxx)
-	$(CXX) $? $(CPPFLAGS) $(CXXFLAGS) -L$(LIB) -lSkyT -lSamba -lNTools -lSysTools -o $(OBJ)xx.x -Hf
+	$(CXX) $? $(CPPFLAGS) $(CXXFLAGS) -o $(OBJ)xx.x -Hf
 endif 
  
 $(OBJ)blackbody.o: blackbody.cc $(INC)machdefs.h \
  $(INC)pclassids.h blackbody.h radspec.h \
- specresp.h convtools.h
+ specresp.h $(INC)anydataobj.h \
+ $(INC)objfio.h \
+ $(INC)ppersist.h \
+ $(INC)pexceptions.h \
+ $(INC)gnumd5.h convtools.h
 $(OBJ)convtools.o: convtools.cc convtools.h
 $(OBJ)gaussfilt.o: gaussfilt.cc $(INC)machdefs.h \
- $(INC)pclassids.h gaussfilt.h specresp.h
+ $(INC)pclassids.h gaussfilt.h specresp.h \
+ $(INC)anydataobj.h \
+ $(INC)objfio.h \
+ $(INC)ppersist.h \
+ $(INC)pexceptions.h \
+ $(INC)gnumd5.h
 $(OBJ)nupower.o: nupower.cc $(INC)machdefs.h \
  $(INC)pclassids.h nupower.h radspec.h \
- specresp.h convtools.h
+ specresp.h $(INC)anydataobj.h \
+ $(INC)objfio.h \
+ $(INC)ppersist.h \
+ $(INC)pexceptions.h \
+ $(INC)gnumd5.h convtools.h
 $(OBJ)radspec.o: radspec.cc $(INC)machdefs.h \
  $(INC)pclassids.h radspec.h specresp.h \
- $(INC)integ.h \
- $(INC)pexceptions.h
+ $(INC)anydataobj.h \
+ $(INC)objfio.h \
+ $(INC)ppersist.h \
+ $(INC)pexceptions.h \
+ $(INC)gnumd5.h \
+ $(INC)integ.h
 $(OBJ)radspecvector.o: radspecvector.cc \
  $(INC)machdefs.h \
  $(INC)pclassids.h radspecvector.h radspec.h \
+ specresp.h $(INC)anydataobj.h \
+ $(INC)objfio.h \
+ $(INC)ppersist.h \
+ $(INC)pexceptions.h \
+ $(INC)gnumd5.h \
+ $(INC)tvector.h \
+ $(INC)tmatrix.h \
+ $(INC)tarray.h \
+ $(INC)basarr.h \
+ $(INC)dvlist.h \
+ $(INC)ndatablock.h \
+ $(INC)utilarr.h
+$(OBJ)skyinit.o: skyinit.cc skyinit.h \
+ $(INC)ntoolsinit.h \
+ $(INC)tarrinit.h \
+ $(INC)sophyainit.h \
+ $(INC)machdefs.h \
+ $(INC)pclassids.h \
+ $(INC)ppersist.h \
+ $(INC)pexceptions.h \
+ $(INC)gnumd5.h \
+ $(INC)objfio.h \
+ $(INC)anydataobj.h specrespvector.h \
  specresp.h $(INC)tvector.h \
  $(INC)tmatrix.h \
- $(INC)ppersist.h \
- $(INC)pexceptions.h \
- $(INC)md5.h \
- $(INC)anydataobj.h \
- $(INC)ndatablock.h
+ $(INC)tarray.h \
+ $(INC)basarr.h \
+ $(INC)dvlist.h \
+ $(INC)ndatablock.h \
+ $(INC)utilarr.h gaussfilt.h
 $(OBJ)specresp.o: specresp.cc specresp.h \
  $(INC)machdefs.h \
  $(INC)pclassids.h \
+ $(INC)anydataobj.h \
  $(INC)integ.h \
- $(INC)pexceptions.h
+ $(INC)pexceptions.h \
+ $(INC)tvector.h \
+ $(INC)tmatrix.h \
+ $(INC)tarray.h \
+ $(INC)basarr.h \
+ $(INC)dvlist.h \
+ $(INC)objfio.h \
+ $(INC)ppersist.h \
+ $(INC)gnumd5.h \
+ $(INC)ndatablock.h \
+ $(INC)utilarr.h
 $(OBJ)specrespvector.o: specrespvector.cc \
  $(INC)machdefs.h \
  $(INC)pclassids.h specrespvector.h \
- specresp.h $(INC)tvector.h \
+ specresp.h $(INC)anydataobj.h \
+ $(INC)tvector.h \
  $(INC)tmatrix.h \
+ $(INC)tarray.h \
+ $(INC)basarr.h \
+ $(INC)dvlist.h \
+ $(INC)objfio.h \
  $(INC)ppersist.h \
  $(INC)pexceptions.h \
- $(INC)md5.h \
- $(INC)anydataobj.h \
- $(INC)ndatablock.h
+ $(INC)gnumd5.h \
+ $(INC)ndatablock.h \
+ $(INC)utilarr.h \
+ $(INC)fioarr.h
 $(OBJ)squarefilt.o: squarefilt.cc $(INC)machdefs.h \
- $(INC)pclassids.h squarefilt.h specresp.h
+ $(INC)pclassids.h squarefilt.h specresp.h \
+ $(INC)anydataobj.h
 $(OBJ)trianglefilt.o: trianglefilt.cc \
  $(INC)machdefs.h \
- $(INC)pclassids.h trianglefilt.h specresp.h
+ $(INC)pclassids.h trianglefilt.h specresp.h \
+ $(INC)anydataobj.h
Index: trunk/SophyaLib/SkyT/objlist.list
===================================================================
--- trunk/SophyaLib/SkyT/objlist.list	(revision 823)
+++ trunk/SophyaLib/SkyT/objlist.list	(revision 824)
@@ -5,4 +5,5 @@
 radspec.o
 radspecvector.o
+skyinit.o
 specresp.o
 specrespvector.o
Index: trunk/SophyaLib/TArray/Makefile
===================================================================
--- trunk/SophyaLib/TArray/Makefile	(revision 823)
+++ trunk/SophyaLib/TArray/Makefile	(revision 824)
@@ -3,35 +3,87 @@
 all: $(LIB)libTArray.a
 clean:
-	rm -f $(OBJ)tarray.o $(OBJ)tarrinit.o $(OBJ)tmatrix.o $(OBJ)tvector.o
+	rm -f $(OBJ)basarr.o $(OBJ)fioarr.o $(OBJ)matharr.o $(OBJ)sopemtx.o $(OBJ)tarray.o $(OBJ)tarrinit.o $(OBJ)tmatrix.o $(OBJ)tvector.o $(OBJ)utilarr.o
 	rm -f $(LIB)libTArray.a
-$(LIB)libTArray.a : $(OBJ)tarray.o $(OBJ)tarrinit.o $(OBJ)tmatrix.o $(OBJ)tvector.o
+$(LIB)libTArray.a : $(OBJ)basarr.o $(OBJ)fioarr.o $(OBJ)matharr.o $(OBJ)sopemtx.o $(OBJ)tarray.o $(OBJ)tarrinit.o $(OBJ)tmatrix.o $(OBJ)tvector.o $(OBJ)utilarr.o
 	$(ARCXX) $(ARCXXFLAGS) $@ $?
 ifeq ($(CXX),cxx)
-	$(CXX) $? $(CPPFLAGS) $(CXXFLAGS) -L$(LIB) -lTArray -L$(EXTLIBPATH) -o $(OBJ)xx.x -Hf
+	$(CXX) $? $(CPPFLAGS) $(CXXFLAGS) -o $(OBJ)xx.x -Hf
 endif 
  
-$(OBJ)tarray.o: tarray.cc
-$(OBJ)tarrinit.o: tarrinit.cc $(INC)/machdefs.h \
- $(INC)/pclassids.h tarrinit.h \
- $(INC)/sophyainit.h tmatrix.h \
- $(INC)/ppersist.h \
- $(INC)/pexceptions.h \
- $(INC)/gnumd5.h \
- $(INC)/anydataobj.h \
- $(INC)/ndatablock.h tvector.h
-$(OBJ)tmatrix.o: tmatrix.cc $(INC)/machdefs.h \
- $(INC)/pclassids.h \
- $(INC)/pexceptions.h tmatrix.h \
- $(INC)/ppersist.h \
- $(INC)/gnumd5.h \
- $(INC)/anydataobj.h \
- $(INC)/ndatablock.h \
- $(INC)/objfio.h tvector.h
-$(OBJ)tvector.o: tvector.cc $(INC)/machdefs.h \
- $(INC)/pclassids.h \
- $(INC)/pexceptions.h tvector.h tmatrix.h \
- $(INC)/ppersist.h \
- $(INC)/gnumd5.h \
- $(INC)/anydataobj.h \
- $(INC)/ndatablock.h \
- $(INC)/objfio.h
+$(OBJ)basarr.o: basarr.cc $(INC)machdefs.h \
+ $(INC)pclassids.h \
+ $(INC)pexceptions.h basarr.h \
+ $(INC)anydataobj.h \
+ $(INC)dvlist.h \
+ $(INC)objfio.h \
+ $(INC)ppersist.h \
+ $(INC)gnumd5.h
+$(OBJ)fioarr.o: fioarr.cc $(INC)pexceptions.h \
+ $(INC)machdefs.h \
+ $(INC)pclassids.h \
+ $(INC)fiondblock.h \
+ $(INC)ppersist.h \
+ $(INC)gnumd5.h \
+ $(INC)ndatablock.h \
+ $(INC)anydataobj.h fioarr.h tarray.h \
+ basarr.h $(INC)dvlist.h \
+ $(INC)objfio.h utilarr.h tmatrix.h tvector.h
+$(OBJ)matharr.o: matharr.cc $(INC)machdefs.h \
+ $(INC)pclassids.h matharr.h tarray.h \
+ basarr.h $(INC)anydataobj.h \
+ $(INC)dvlist.h \
+ $(INC)objfio.h \
+ $(INC)ppersist.h \
+ $(INC)pexceptions.h \
+ $(INC)gnumd5.h \
+ $(INC)ndatablock.h utilarr.h
+$(OBJ)sopemtx.o: sopemtx.cc $(INC)machdefs.h \
+ $(INC)pclassids.h sopemtx.h tmatrix.h \
+ tarray.h basarr.h $(INC)anydataobj.h \
+ $(INC)dvlist.h \
+ $(INC)objfio.h \
+ $(INC)ppersist.h \
+ $(INC)pexceptions.h \
+ $(INC)gnumd5.h \
+ $(INC)ndatablock.h utilarr.h tvector.h \
+ $(INC)smathconst.h
+$(OBJ)tarray.o: tarray.cc $(INC)machdefs.h \
+ $(INC)pclassids.h \
+ $(INC)pexceptions.h tarray.h basarr.h \
+ $(INC)anydataobj.h \
+ $(INC)dvlist.h \
+ $(INC)objfio.h \
+ $(INC)ppersist.h \
+ $(INC)gnumd5.h \
+ $(INC)ndatablock.h utilarr.h
+$(OBJ)tarrinit.o: tarrinit.cc $(INC)machdefs.h \
+ $(INC)pclassids.h tarrinit.h \
+ $(INC)sophyainit.h fioarr.h tarray.h \
+ basarr.h $(INC)anydataobj.h \
+ $(INC)dvlist.h \
+ $(INC)objfio.h \
+ $(INC)ppersist.h \
+ $(INC)pexceptions.h \
+ $(INC)gnumd5.h \
+ $(INC)ndatablock.h utilarr.h tmatrix.h \
+ tvector.h
+$(OBJ)tmatrix.o: tmatrix.cc $(INC)machdefs.h \
+ $(INC)pclassids.h \
+ $(INC)pexceptions.h tmatrix.h tarray.h \
+ basarr.h $(INC)anydataobj.h \
+ $(INC)dvlist.h \
+ $(INC)objfio.h \
+ $(INC)ppersist.h \
+ $(INC)gnumd5.h \
+ $(INC)ndatablock.h utilarr.h
+$(OBJ)tvector.o: tvector.cc $(INC)machdefs.h \
+ $(INC)pclassids.h \
+ $(INC)pexceptions.h tvector.h tmatrix.h \
+ tarray.h basarr.h $(INC)anydataobj.h \
+ $(INC)dvlist.h \
+ $(INC)objfio.h \
+ $(INC)ppersist.h \
+ $(INC)gnumd5.h \
+ $(INC)ndatablock.h utilarr.h
+$(OBJ)utilarr.o: utilarr.cc $(INC)machdefs.h \
+ $(INC)pclassids.h utilarr.h
Index: trunk/SophyaLib/TArray/objlist.list
===================================================================
--- trunk/SophyaLib/TArray/objlist.list	(revision 823)
+++ trunk/SophyaLib/TArray/objlist.list	(revision 824)
@@ -1,3 +1,9 @@
+basarr.o
+fioarr.o
+matharr.o
+sopemtx.o
+tarray.o
 tarrinit.o
 tmatrix.o
 tvector.o
+utilarr.o
